#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""
Module pile_m.

fichier : pile_m.py
auteur : Bob sur une idée d'Arnaud Bodin
"""

# Global ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
pile = []

# Définition fonction ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
def empile(item):
    """Modifie la pile en empilant <item>. Ne retourne rien."""
    global pile  # permet de modifier la variable globale <pile>
    pile.append(item)
    

def depile():
    """Modifie la pile en dépilant le sommet et en le renvoyant."""
    global pile  # permet de modifier la variable globale <pile>
    return pile.pop()


def est_vide():
    """Retourne True si la pile est vide, False sinon."""
    return len(pile) == 0


def print_pile():
    print(f"La pile vaut : {pile}\n")
    

# Auto-test ====================================================================
if __name__ == "__main__":
#     pile = []
    print_pile()
    
    empile(3)
    print_pile()
    
    for i in range(2):
        if est_vide():
            print("Désolé, la pile est vide !")
        else:
            print(f"Valeur dépilée : {depile()}")
            print_pile()
    
    